doctype html
html
  head
    title Socket.IO chat
    style.
      body { margin: 0; padding-bottom: 3rem; font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif; }
      #form { background: rgba(0, 0, 0, 0.15); padding: 0.25rem; position: fixed; bottom: 0; left: 0; right: 0; display: flex; height: 3rem; box-sizing: border-box; backdrop-filter: blur(10px); }
      #input { border: none; padding: 0 1rem; flex-grow: 1; border-radius: 2rem; margin: 0.25rem; }
      #input:focus { outline: none; }
      #form > button { background: #333; border: none; padding: 0 1rem; margin: 0.25rem; border-radius: 3px; outline: none; color: #fff; }
      #messages { list-style-type: none; margin: 0; padding: 0; }
      #messages > li { padding: 0.5rem 1rem; }
      #messages > li:nth-child(odd) { background: #efefef; }
  body
    h1='Room : '+product_id
    h1#h1display
    button(type='button')#btnBid BID
    h1=title+message
    ul#messages
    form#form(action='')
      //- input#input(autocomplete='off')
      input(type='text')#afggg
      button(type='button')#ssss Send
    script(src='/socket.io/socket.io.js')
    script(src='/js/jquery.min.js')
    script.
        var socket = io();
        var messages = document.getElementById('messages');
        var form = document.getElementById('form');
        var input = document.getElementById('input');

        var product_id = `#{product_id}`;
        var cur_price;

        socket.emit("join", product_id);

        socket.on("connect", function () {
            // Connected, let's sign-up for to receive messages for this room
            console.log("connect");
        });

        socket.on("disconnect", function () {
            // Connected, let's sign-up for to receive messages for this room
            console.log("disconnect");
            // socket.emit('room', room);
        });

        socket.on('setBid', function(message) {
            cur_price = message;
            $('#h1display').text(cur_price)
        });

        $('#btnBid').on('click', function () {
            socket.emit('setBid', product_id,cur_price);
        });
            
            

        $('#ssss').click(function(){
            socket.emit('chat message', $('#afggg').val());
            input.value = '';
        });

        socket.on('chat message', function(msg) {
            var item = document.createElement('li');
            item.textContent = msg;
            messages.appendChild(item);
            window.scrollTo(0, document.body.scrollHeight);
        });
